Subject: Re: bug#24873: 26.0.50; isearch-query-replace from regexp isearch doesn't add to replace-regexp history list

From: Stephen Berman <[email-masked]>
Date: Fri, 04 Nov 2016 23:03:52 +0100

On Fri, 4 Nov 2016 21:16:57 +0000 Richard Copley <[email-masked]> wrote:

> On 4 November 2016 at 20:53, Mark Oteiza <[email-masked]> wrote:
>>
>> I'm on 2955936 (master HEAD at the moment) and can't reproduce.
>
> I can reproduce the issue with the given recipe in that revision.
>
> To summarize, here are the test results stated so far in this thread,
> plus a few more that I'm stating now, in chronological order:
>
> Good [RC] (before lexical binding in isearch.el):
> commit 329e0274ec6a4ae82f86905b8cf844971b943085
> Author: Mark Oteiza <[email-masked]>
> Date:   Tue Sep 27 13:34:29 2016 -0400
>
> Bad [RC] (turn on lexical binding in isearch.el)
> commit cbb2e845187bfbcc62e2accc9df7891a2326608a
> Author: Mark Oteiza <[email-masked]>
> Date:   Wed Sep 28 13:08:12 2016 -0400
>
> Good?? [MO] (this is the revision mentioned in #24580)
> commit 6d6c93f4cc02d5c03b2f0ec9e565d61a50677e14
> Author: Mark Oteiza <[email-masked]>
> Date:   Tue Oct 4 10:17:53 2016 -0400
>
> Bad [SB] (unspecified, but containing the above).

For the recond, my current [BAD] build is from:

commit 51558effdc453d359b4a174bf72db787dc0114d1
Author: Noah Friedman <[email-masked]>
Date:   Thu Oct 6 18:32:59 2016 -0700

Steve Berman